git-branchless-record(1)

NAME
record - Create a commit by interactively selecting which changes to include

SYNOPSIS
record [-m|--message] [-i|--interactive] [-c|--create] [-d|--detach] [-I|--insert] [-s|--stash] [-h|--help]

DESCRIPTION
Create a commit by interactively selecting which changes to include

OPTIONS

-m, --message=MESSAGES
    The commit message to use. If not provided, will be prompted to provide a commit message interactively

-i, --interactive
    Select changes to include interactively, rather than using the current staged/unstaged changes

-c, --create=CREATE
    Create and switch to a new branch with the given name before committing

-d, --detach
    Detach the current branch before committing

-I, --insert
    Insert the new commit between the current commit and its children, if any

-s, --stash
    After making the new commit, switch back to the previous commit

-h, --help
    Print help